@charset "utf-8";

/* ==================================================
PC
================================================== */

/* ========== トップページ ========== */

/* 非表示 */
#footstep_wrap {
	display: none !important;
}
#mymainback {
	padding-top: 60px;
}

/* スライドショー */
/* 加速・減速のない一定の動き */
#slideshow_outer {
	max-width: 1020px;
	margin: 0 auto;
	box-sizing: border-box;
}
#slideshow_wrap {
	display: none;
	padding: 60px 60px 30px;
	margin: 48px 0px 0px;
	background: #ffffff;
	border-radius: 20px;
	box-shadow: 1px 2px 7px #ccc;
	position: relative;
}
#slideshow_wrap:has(.swiper) {
	display: block;
}
#slideshow_wrap:before {
	content: "";
	position: absolute;
	z-index: 1;
	width: 91%;
	height: 48px;
	top: -10px;
	left: 50%;
	transform: translateX(-50%);
	background: url(/img/sites/school/bg_slide_ring.png) no-repeat center top / auto 48px;
}
.swiper-container {

}
#slideshow_wrap .swiper-slide img {
	border-radius: 20px;
}
#slideshow_wrap button.swiper-button-prev, #slideshow_wrap button.swiper-button-next {
	top: 45%;
	width: 60px;
	height: 60px;
	background-position: center;
	background-size: contain;
	background-color: #fff;
	color: #333;
	padding: 0;
	box-shadow: none;
}
#slideshow_wrap button.swiper-button-prev {
	left: -30px;
}
#slideshow_wrap button.swiper-button-next {
	right: -30px;
}
.tpl_site_jhs #slideshow_wrap button.swiper-button-prev {
	background-image: url(/img/sites/school/icon_blu_prev.png);
}
.tpl_site_jhs #slideshow_wrap button.swiper-button-next {
	background-image: url(/img/sites/school/icon_blu_next.png);
}
.tpl_site_es #slideshow_wrap button.swiper-button-prev {
	background-image: url(/img/sites/school/icon_peach_prev.png);
}
.tpl_site_es #slideshow_wrap button.swiper-button-next {
	background-image: url(/img/sites/school/icon_peach_next.png);
}
#slideshow_wrap button.swiper-button-start, #slideshow_wrap button.swiper-button-stop {
	width: 11rem;
	height: auto;
	min-height: 4rem;
	background-color: #ffffff;
	color: #333;
	border: 1px solid;
	border-radius: 30px;
	background-position: center left 4px;
	background-repeat: no-repeat;
	margin: 15px 17px 0 auto;
	padding: 7px 5px 5px 34px;
	text-align: center;
	font-size: 1.4rem;
	position: static;
	transform: none;
	font-family: 'Hiragino Kaku Gothic ProN', 'ヒラギノ角ゴ ProN W3', 'BIZ UDPGothic', Meiryo, メイリオ, Osaka, sans-serif;
	text-transform: uppercase;
	box-shadow: none;
}

.tpl_site_jhs #slideshow_wrap button.swiper-button-start,
.tpl_site_jhs #slideshow_wrap button.swiper-button-stop {
	border-color: #0ab3ea;
}
.tpl_site_es #slideshow_wrap button.swiper-button-start,
.tpl_site_es #slideshow_wrap button.swiper-button-stop {
	border-color: #fbab55;
}

.tpl_site_jhs #slideshow_wrap button.swiper-button-start {
	background-image: url(/img/sites/school/icon_blu_play.png);
}
.tpl_site_jhs #slideshow_wrap button.swiper-button-stop {
	background-image: url(/img/sites/school/icon_blu_pause.png);
}
.tpl_site_es #slideshow_wrap button.swiper-button-start {
	background-image: url(/img/sites/school/icon_peach_play.png);
}
.tpl_site_es #slideshow_wrap button.swiper-button-stop {
	background-image: url(/img/sites/school/icon_peach_pause.png);
}
#slideshow_wrap button.swiper-button-start span.hide,
#slideshow_wrap button.swiper-button-stop span.hide {
	width: auto;
	height: auto;
}
#slideshow_wrap .swiper-pagination {
	width: calc(100% - 12rem - 17px);
	top: -3.5rem;
	margin-top: 0px;
	min-height: 3rem;
	bottom: auto;
	padding: 0;
	display: flex;
	justify-content: flex-end;
	align-items: center;
	flex-wrap: wrap;
}
/*
#slideshow_wrap .swiper-pagination:has(span.swiper-pagination-bullet:only-child) {
	top: 0;
}
*/
#slideshow_wrap .swiper-pagination-bullet {
	width: 40px;
	height: 8px;
	border-radius: 10px;
	padding: 0px;
	margin: 10px;
	opacity: 1;
}
.tpl_site_jhs #slideshow_wrap .swiper-pagination-bullet {
	background: rgba(10, 179, 234, 0.3);
}
.tpl_site_jhs #slideshow_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active {
	background: rgba(10, 179, 234, 1);
}
.tpl_site_es #slideshow_wrap .swiper-pagination-bullet {
	background: rgba(251, 171, 85, 0.3);
}
.tpl_site_es #slideshow_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active {
	background: rgba(251, 171, 85, 1);
}
#slideshow_wrap button.swiper-button-prev::after, button.swiper-button-next::after,
#slideshow_wrap :where(button.swiper-button-start,button.swiper-button-stop)::after {
	content: none !important;
}
/*
.swiper-wrapper:has(> div:only-child) ~ button[class^="swiper-button-"] {
	display: none;
}
#slide_box:has(.swiper-wrapper:has(> div:only-child)) ~ button[class^="swiper-button-"] {
	display: none;
}
*/
#slide_box:has(.swiper-wrapper > .swiper-slide:only-child) button[class^="swiper-button-"]{
	display:none;
}

/* 新着情報 */
.section_information {
	background: url(/img/sites/school/bg_top_news.png) no-repeat center / cover;
	margin: 30px 0px;
	padding: 15px 35px 45px;
	box-sizing: border-box;
	width: calc(100% - 4px);
	border-radius: 5px;
	box-shadow: 4px 4px 1px #e1e1e1;
}
.section_information h2 {
	margin: 0px;
	padding: 0px;
	border: none;
	border-radius: 0;
	background: none;
	font-size: 2.8rem;
	text-align: center;
	background: url(/img/sites/school/pin_blu.png) no-repeat left top, url(/img/sites/school/pin_red.png) no-repeat right top;
}
.section_information h2 span {
	display: inline-block;
	padding: 15px 40px 5px;
	background: url(/img/sites/school/bg_top_ttl_marker.png) no-repeat bottom center / 100% auto;
}
.section_information p.no_data {
	margin: 0px;
	padding: 20px 0px;
}

.section_information_list ul {
	margin: 0px;
	padding: 20px 0px;
	list-style: none;
}
.section_information_list ul li {
	width: 100%;
	display: table;
	-webkit-box-sizing: border-box;
			box-sizing: border-box;
	margin: 0px 0px 15px;
}
.section_information_list ul li > span {
	display: table-cell;
	vertical-align: top;
}
.section_information_list ul li > span.article_date {
	width: calc(11em + 10px);
	padding-top: 0.1rem;
}

.section_information_list img.icon_new {
	vertical-align: baseline;
	margin-left: 0.5em;
}

/* 新着情報（文字拡大時） */
.font_size_changed .section_information_list ul li,
.font_size_changed .section_information_list ul li > span {
	display: block;
}
.font_size_changed .section_information_list ul li > span.article_date {
	width: auto;
	padding-top: 0px;
}

/* 新着情報（一覧 / RSS） */
.section_information_list div.link_box {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
		flex-wrap: wrap;
	-webkit-box-pack: end;
		-ms-flex-pack: end;
			justify-content: flex-end;
	-webkit-box-align: start;
		-ms-flex-align: start;
			align-items: flex-start;
	gap: 20px;
}
.section_information_list div.link_box span {
	display: inline-block;
	vertical-align: top;
}
.section_information_list div.link_box span a {
	display: block;
	border: 1px solid transparent;
	border-radius: 0;
	background-repeat: no-repeat;
	background-size: 18px 18px;
	background-position: right center;
	color: #333333;
	font-size: 1.4rem;
	line-height: 1.8rem;
	text-decoration: none;
	margin: 0px;
	padding: 10px 25px 10px 10px;
	text-align: center;
}
.tpl_site_jhs .section_information_list div.link_box span a {
	background-image: url(/img/sites/school/icon_blu_arr.png);
}
.tpl_site_es .section_information_list div.link_box span a {
	background-image: url(/img/sites/school/icon_peach_arr.png);
}
.section_information_list div.link_box span a:hover,
.section_information_list div.link_box span a:focus {
	text-decoration: underline;
}

/* ========== 背景色変更 ========== */

/* 共通 */
.color_change * {

}
/* 黒 */
.color_black * {

}
/* 青 */
.color_blue * {

}

/* ==================================================
PC ここまで
================================================== */


/* ==================================================
スマートフォン
================================================== */
@media screen and (max-width: 1080px) {

	/* ========== トップページ ========== */
	#mymainback {
		padding-top: 20px;
	}
	/* スライドショー */
	#slideshow_outer {
		max-width: 90%;
	}
	#slideshow_wrap {
		margin: 10px 0px 0px;
		padding: 30px 20px 20px;
	}
	#slideshow_wrap .swiper-slide img {
		border-radius: 15px;
	}
	#slideshow_wrap button.swiper-button-prev, #slideshow_wrap button.swiper-button-next {
		width: 30px;
		height: 30px;
		top: calc(50% - 2rem);
	}
	#slideshow_wrap button.swiper-button-prev {
		left: -10px;
	}
	#slideshow_wrap button.swiper-button-next {
		right: -10px;
	}
	#slideshow_wrap button.swiper-button-start, #slideshow_wrap button.swiper-button-stop {
		margin-top: 10px;
		margin-right: auto;
		padding: 5px 5px 3px 25px;
		font-size: 1.1rem;
		min-height: 3rem;
		background-position: center left 4px;
		background-size: 20px auto;
	}
	#slideshow_wrap .swiper-pagination {
		display: none !important;
	}
	#slideshow_wrap .swiper-pagination-bullet {
		width: 30px;
		height: 6px;
		margin: 8px;
	}

	#slideshow_wrap:before {
		height: 25px;
		background-size: auto 25px;
	}

	/* スライドコントロールボタン */


	/* 新着情報 */
	.section_information {
		padding: 0px;
	}
	.section_information h2 {
		margin: 0px;
		padding: 15px 20px;
		font-size: 2rem;
		background-position: top 12px left 12px, top 12px right 12px;
		background-size: 28px auto;
	}

	.section_information p.no_data {
		padding: 20px;
	}

	.section_information_list ul {
		padding: 0px 20px 20px;
	}
	.section_information_list ul li {
		display: block;
		width: auto;
		margin: 0px;
		padding: 15px 0px;
		border-bottom: 1px solid #cccccc;
	}
	.section_information_list ul li > span {
		display: block;
	}
	.section_information_list ul li > span.article_date {
		width: auto;
		padding-top: 0px;
	}
	.section_information_list ul li a {
		display: block;
		background: url("/img/sp/arrow_r.png") no-repeat right center transparent;
		background-size: 8px auto;
		padding-right: 15px;
		text-decoration: none;
	}

	.section_information_list ul li:has(img.icon_new) {
		position: relative;
	}
	.section_information_list ul li:has(img.icon_new) > span.article_date {
		padding-left: 45px;
	}
	.section_information_list ul li:has(img.icon_new) img.icon_new {
		margin: 0px;
		position: absolute;
		top: 17px;
		left: 0px;
	}

	/* 新着情報（一覧 / RSS） */
	.section_information_list div.link_box {
		padding: 0px 20px 30px;
		gap: 10px;
	}
	.section_information_list div.link_box span {
		width: auto;
		max-width: none;
	}
	.section_information_list div.link_box span a {
		font-size: var(--fontsize-main-small, 1.3rem);
	}

	/* ========== 背景色変更 ========== */

	/* 共通 */
	.color_change * {

	}
	/* 黒 */
	.color_black * {

	}
	/* 青 */
	.color_blue * {

	}

}
/* ==================================================
スマートフォン ここまで
================================================== */